Subject: Re: [bitcoin-dev] BIP 2 revival and rework

From: Tom Zander <[email-masked]>
Date: Sun, 16 Oct 2016 16:56:36 +0200

On Saturday, 15 October 2016 17:02:30 CEST Marco Falke wrote:
> >> BIP 2 does not forbid you to release your work under PD in
> >> legislations where this is possible
> > 
> > It does, actually.
> 
> Huh, I can't find it in the text I read. The text mentions "not
> acceptable", but I don't read that as "forbidden".

You suggest that a person can dual license something under both CC-BY-SA as 
well as under public domain.
That means you don't understand copyright,

See, all licenses are based on you having copyright. In contrast; public 
domain is not a license, it means a certain text does not have copyright. 
Public domain is the lack of copyright.

One text can not at the same time have copyright and not have copyright, 
making your assumption impossible.

Hence, with PD not explicitly being allowed, you can't use PD.

Personally I prefer copyleft licenses, so the lack of PD is fine with me. The 
lack of a good copyleft we can use in BIPs is what got me involved in this 
discussion in the first place.
-- 
Tom Zander
Blog: https://zander.github.io
Vlog: https://vimeo.com/channels/tomscryptochannel